﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define h = Character("Harriet", color="#DC381F", image="harriet")

define w = Character("Winslow", color="#008080", image="winslow")

define f = Character("Flora", color="#FBB117", image="flora")

# Camera flash - quickly fades to white, then back to the scene.
define flash = Fade(0.1, 0.0, 0.5, color="#fff")

#remove the title of the two sister from the front
define gui.show_name = False

# harriet is difine here
layeredimage harriet:
    always:
        "harriet base"

    group exp:
        attribute neutral default:
            "harriet exp neutral"

        attribute lewd:
            "harriet exp lewd"

        attribute disgusted:
            "harriet exp disgusted"

        attribute appeal:
            "harriet exp appeal"

        attribute smile:
            "harriet exp smile"

    group arm:
        attribute arm_neutral default:
            "harriet arm neutral"

        attribute arm_switch:
            "harriet arm switch"

# Mrs.Winslow is here

layeredimage winslow:
    always:
        "winslow base"

    group exp:
        attribute neutral default:
            "winslow exp neutral"

        attribute upset:
            "winslow exp upset"

    group arm:
        attribute arm_holding default:
            "winslow arm holding"

        attribute arm_back:
            "winslow arm back"

#side images
image side harriet = Crop((0, 0, 400, 400), "harriet")

image side harriet neutral = Crop((0, 0, 400, 400), "harriet neutral")

image side harriet smile = Crop((0, 0, 400, 400), "harriet smile")

image side harriet appeal = Crop((0, 0, 400, 400), "harriet appeal")

image side harriet disgusted = Crop((0, 0, 400, 400), "harriet disgusted")

image side harriet lewd = Crop((0, 0, 400, 400), "harriet lewd")

image side winslow:
    Crop((-280, 0, 1900, 700), "winslow neutral")
    xzoom -1.0

image side winslow neutral:
    Crop((-280, 0, 1900, 700), "winslow neutral")
    xzoom -1.0

image side winslow upset:
    Crop((-280, 0, 1900, 700), "winslow upset")
    xzoom -1.0

image side winslow none = ("none")

image side flora:
    Crop((-150, 0, 1900, 400), "flora base")
    xzoom -1.0

image side flora blackout:
    Crop((-150, 0, 1900, 400), "flora blackout")
    xzoom -1.0

# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.
    show bg frontdoor
    with fade

    "Someone was at the door."

    show doorbell
    with dissolve
    show ding
    show dingo
    hide ding with dissolve
    hide dingo with dissolve

    h "Coming"
    hide doorbell
    show bg frontdoor blur with dissolve
    show harriet with dissolve


    h  "Hello Mrs. Winslow."

    show winslow with dissolve

    w "Hello Harriet dear. How are you?"

    h "I am well Mrs. Winslow and how is your health?"

    w "Quite well, I came to give my condolences. It is a tragedy what happened to your mother."

    w upset "What is the world coming to when we are not safe in our own house."

    h "Yes Mrs. Winslow, We will never be the same."

    w neutral "Oh you poor girls, I understand Dority was a strict woman."

    w "I am sure the leasoon she taught you girls will see you through without her."

    h "More that you know Mrs. Winslow."

    w upset "What was that?"

    h "Ah... nothing Mrs. Winslow."

    w "I see..."

    w neutral "Anyway, I brought you two this little something. How is flora?"

    h "Thanks you Mrs. Winslow."

    show food

    show winslow arm_back with dissolve

    "You have acquired a questionable food casserole. Smells a little like cats."

    hide food

    h "Flora is well. She is tied up at the moment but I will let her know you asked after her."

    w "She is a sensitive child. I know she is older than you but you will need to look after each other in these troubled times."

    h smile "Indeed, I will make sure to look after her."

    w "Anyway, I am off for now. Call me if you need anything."

    h neutral "Yes thank you Mrs Winslow."

    hide winslow with dissolve

    w none "Chrioo."

    scene bg livingroom with fade

    "Back in-door."

    show bg livingroom blur with dissolve
    show harriet with dissolve

    h disgusted "Oh gods, that casserole smells like an old lady."

    f blackout "Huumm..."

    h smile "It was old Mrs Winslow down the street. The old bat was asking about you."

    h appeal "I told her you were tied up... hehe..."

#Flora’s sprite shows up. She is tied up and has a ball gag and an eye cover.

    show flora base with dissolve

    h smile "She told me that I need to look after you. Wasn’t that sweet of her."

    f  "MMUHHH..."

    h "She talked about mother’s lessons… I think I should use mother’s favorite method to teach you flora."

    f "Haaam Mksss nmmnoooo..."

    h disgusted "This is for that little stunt yesterday. You will only speak when I allow it."

#Harrit is bending a thin stick between her hands.

    show harriet arm_switch with dissolve

    h smile "You remember Mr. Switch, all the fun times we had together?"

    h neutral "You want to know a little secret?"

    h disgusted "All those time Mother used Mr. Switch on me."

    h neutral "I starteded..."

    h smile  "...to like it."

    f "mmmsaa hhaarrmm..."

    h lewd " I fell in love with Mr Switch."

    f "MMMshhhhmmm..."

    h "Don’t worry Flora. in time, I will make you love Mr. Switch soon enough."

    scene h f image_01 with flash

    pause

    scene h f image_02 with flash

    pause

    scene h f image_03 with flash

    pause

    scene black with irisin

    "The End for now."


    # This ends the game.

    return
